#!/bin/sh
echo "hostname = `hostname -f`"
echo "id = `id`"
#First source things for d-cache
echo "First source things for d-cache"
export DCACHEDIR=/opt/d-cache
export DCAPBINDIR=${DCACHEDIR}/dcap/bin
export PATH=${DCAPBINDIR}:$PATH
export SRMBINDIR=${DCACHEDIR}/srm/bin
export PATH=${SRMBINDIR}:$PATH
export LD_LIBRARY_PATH=${DCACHEDIR}/dcap/lib:${DCACHEDIR}/srm/lib:$LD_LIBRARY_PATH
ATLAS_REL="12.0.3"
#Now source things for the ATLAS_RELEASE
echo "Now source things for the ATLAS_RELEASE ${ATLAS_REL}"
echo "source /share/app/atlas_app/atlas_rel/${ATLAS_REL}/cmtsite/setup.sh -tag=AtlasOffline,${ATLAS_REL}"
source /share/app/atlas_app/atlas_rel/${ATLAS_REL}/cmtsite/setup.sh -tag=AtlasOffline,${ATLAS_REL}
echo "source /share/app/atlas_app/atlas_rel/${ATLAS_REL}/AtlasOffline/${ATLAS_REL}/AtlasOfflineRunTime/cmt/setup.sh"
source /share/app/atlas_app/atlas_rel/${ATLAS_REL}/AtlasOffline/${ATLAS_REL}/AtlasOfflineRunTime/cmt/setup.sh
#Now create a collection of tag data which satisfies the condition NJet>0&&NLooseElectron>0
echo "Now create a collection of tag data which satisfies the condition NJet>0&&NLooseElectron>0"
CollCopy.exe -src testIdeal07_005711_TAG_v12000201 MySQLltCollection -srcconnect mysql://tagreader@tier2-06.uchicago.edu/tier2tagdb -dst test.coll RootCollection -query "NJet>0&&NLooseElectron>0" -queryopt "SELECT EventNumber,RunNumber"
#Now run athena to produce the output testExtractor.AOD.root
echo "Now run athena to produce the output testExtractor.AOD.root for 2000 events"
time athena -c "In=['test.coll']; CollType='ExplicitROOT'; OutputAODFile='testExtractor.AOD.root'" testExtract.py
