## @file EventCount.py
## @brief TopOptions: Using command line argument In, read all events from
## In to count them and find their run numbers. If dump flag is set, then an
## object count is also given.
## @author Jack Cranshaw (Jack.Cranshaw@cern.ch)
## $Id: EventCount.py,v 1.5 2005/10/19 21:55:15 cranshaw Exp $
#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------
#import glob, os, re

theApp.EvtMax = 2000
#--------------------------------------------------------------
# Load POOL support
#--------------------------------------------------------------
# Dummy flags to appease the god of JO
#useNova=False; MuonLayout='P03-DC2'; MuonDDUseNova=False;

include( "AthenaPoolCnvSvc/ReadAthenaPool_jobOptions.py" )

#TruthParticleContainer Dll
theApp.Dlls += ["McParticleTools"]
# -- below is a piece which seems to just be missing from standard AOD options
include( "TileIdCnv/TileIdCnv_jobOptions.py" )
# -- below is excerpt from ESD_PoolCnv_jobOptions.py needed for MissingET in AOD
include( "RecAthenaPool/RecAthenaPool_joboptions.py" )
# -- below is excerpt from ESD_PoolCnv_jobOptions.py needed for CaloClusterContainer in AOD
include( "LArAthenaPool/LArAthenaPool_joboptions.py" )
# --
#include( "ParticleBuilderOptions/ESD_PoolCnv_jobOptions.py" )
include( "ParticleBuilderOptions/AOD_PoolCnv_jobOptions.py")
include( "ParticleBuilderOptions/McAOD_PoolCnv_jobOptions.py")

#include( "AthenaPoolUtilities/LoadAllConverters.py" )

PoolSvc = Service("PoolSvc")
PoolSvc.ReadCatalog = ["file:/share/data/t2data/PoolFileCatalog.xml"]

# Take the file name form the command line -c options
EventSelector = Service( "EventSelector" )
#EventSelector.ShowSizeStatistics = TRUE
try:
  EventSelector.InputCollections = In
except:
  print "Usage: -c 'In=['file']'"
# Check collection type
try:
  EventSelector.CollectionType = CollType
except:
  print "Reading from file"

theApp.TopAlg  = ["EventCount"]

include ("AthenaPoolUtilities/EventCount_jobOptions.py")

theApp.TopAlg  += ["AthenaOutputStream/StreamAODm"]
StreamAODm        = Algorithm( "StreamAODm" )
StreamAODm.Output = OutputAODFile
StreamAODm.EvtConversionSvc = "AthenaPoolCnvSvc"
StreamAODm.TakeItemsFromInput = True
StreamAODm.ForceRead = True;  #force read of output data objs
StreamAODm.ExtendProvenanceRecord = True

#theApp.Dlls += [ "AthenaPoolUtilities" ]   # Needed both EventCount,EventCheck
#theApp.DLLs += [ "CLIDSvc" ]               # Needed by EventCount

#EC = Algorithm("EventCount")
#EC.Dump = True
                                                                                
MessageSvc = Service( "MessageSvc" )
MessageSvc.OutputLevel = INFO
#==============================================================
#
# End of job options file
#
###############################################################
